Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_context_nemo.xml	(revision 14053)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_context_nemo.xml	(revision 14086)
@@ -4,5 +4,5 @@
 ============================================================================================== 
 -->
-<context id="1_nemo">
+<context id="nemo">
     <!-- $id$ -->
     <variable_definition>
@@ -22,4 +22,6 @@
     <field_definition src="./field_def_nemo-oce.xml"/>   <!--  NEMO ocean dynamics                     -->
     <field_definition src="./field_def_nemo-ice.xml"/>   <!--  NEMO ocean sea ice                      -->
+    <field_definition src="./field_def_nemo-pisces.xml"/>   <!--  NEMO ocean biogeochemical                      -->
+    <field_definition src="./field_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 
@@ -27,4 +29,5 @@
     <file_definition src="./file_def_nemo-oce.xml"/>     <!--  NEMO ocean dynamics                     -->
     <file_definition src="./file_def_nemo-ice.xml"/>     <!--  NEMO ocean sea ice                      -->
+    <file_definition src="./file_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 <!-- Axis definition -->
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_top_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_top_cfg	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_top_cfg	(revision 14086)
@@ -0,0 +1,62 @@
+!-----------------------------------------------------------------------
+&namtrc_run      !   run information
+!-----------------------------------------------------------------------
+   ln_top_euler = .true.
+/
+!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------
+   jp_bgc        =  0           !  Number of passive tracers of the BGC model
+!
+   ln_pisces     =  .false.     !  Run PISCES BGC model
+   ln_my_trc     =  .false.     !  Run MY_TRC BGC model
+   ln_age        =  .true.      !  Run the sea water age tracer
+   ln_cfc11      =  .false.     !  Run the CFC11 passive tracer
+   ln_cfc12      =  .false.     !  Run the CFC12 passive tracer
+   ln_sf6        =  .false.     !  Run the SF6 passive tracer
+   ln_c14        =  .false.     !  Run the Radiocarbon passive tracer
+/
+!-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcadv_fct =  .true.  !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcldf_tra   =  .true.     !  use active tracer setting
+/
+!-----------------------------------------------------------------------
+&namtrc_rad      !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp      !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ice      !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bc       !   data for boundary conditions
+!-----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+/
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_top_ref
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_top_ref	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_top_ref	(revision 14086)
@@ -0,0 +1,1 @@
+link ../../SHARED/namelist_top_ref
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_context_nemo.xml	(revision 14053)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_context_nemo.xml	(revision 14086)
@@ -4,5 +4,5 @@
 ============================================================================================== 
 -->
-<context id="2_nemo">
+<context id="nemo">
     <!-- $id$ -->
     <variable_definition>
@@ -22,4 +22,6 @@
     <field_definition src="./field_def_nemo-oce.xml"/>   <!--  NEMO ocean dynamics                     -->
     <field_definition src="./field_def_nemo-ice.xml"/>   <!--  NEMO ocean sea ice                      -->
+    <field_definition src="./field_def_nemo-pisces.xml"/>   <!--  NEMO ocean biogeochemical                      -->
+    <field_definition src="./field_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 
@@ -27,4 +29,5 @@
     <file_definition src="./file_def_nemo-oce.xml"/>     <!--  NEMO ocean dynamics                     -->
     <file_definition src="./file_def_nemo-ice.xml"/>     <!--  NEMO ocean sea ice                      -->
+    <file_definition src="./file_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 <!-- Axis definition -->
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 14053)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 14086)
@@ -158,5 +158,5 @@
 !-----------------------------------------------------------------------
    ln_spc_dyn    = .true.  !  use 0 as special value for dynamics
-   ln_chk_bathy  = .true.  !  =T  check the parent bathymetry
+   ln_chk_bathy  = .false. !  =T  check the parent bathymetry
 /
 !-----------------------------------------------------------------------
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_top_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_top_cfg	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_top_cfg	(revision 14086)
@@ -0,0 +1,62 @@
+!-----------------------------------------------------------------------
+&namtrc_run      !   run information
+!-----------------------------------------------------------------------
+   ln_top_euler = .true.
+/
+!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------
+   jp_bgc        =  0           !  Number of passive tracers of the BGC model
+!
+   ln_pisces     =  .false.     !  Run PISCES BGC model
+   ln_my_trc     =  .false.     !  Run MY_TRC BGC model
+   ln_age        =  .true.      !  Run the sea water age tracer
+   ln_cfc11      =  .false.     !  Run the CFC11 passive tracer
+   ln_cfc12      =  .false.     !  Run the CFC12 passive tracer
+   ln_sf6        =  .false.     !  Run the SF6 passive tracer
+   ln_c14        =  .false.     !  Run the Radiocarbon passive tracer
+/
+!-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcadv_fct =  .true.  !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcldf_OFF  =  .true.     !  use active tracer setting
+/
+!-----------------------------------------------------------------------
+&namtrc_rad      !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp      !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ice      !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bc       !   data for boundary conditions
+!-----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+/
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_top_ref
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_top_ref	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_top_ref	(revision 14086)
@@ -0,0 +1,1 @@
+link ../../SHARED/namelist_top_ref
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_context_nemo.xml	(revision 14053)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_context_nemo.xml	(revision 14086)
@@ -4,5 +4,5 @@
 ============================================================================================== 
 -->
-<context id="3_nemo">
+<context id="nemo">
     <!-- $id$ -->
     <variable_definition>
@@ -22,4 +22,6 @@
     <field_definition src="./field_def_nemo-oce.xml"/>   <!--  NEMO ocean dynamics                     -->
     <field_definition src="./field_def_nemo-ice.xml"/>   <!--  NEMO ocean sea ice                      -->
+    <field_definition src="./field_def_nemo-pisces.xml"/>   <!--  NEMO ocean biogeochemical                      -->
+    <field_definition src="./field_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 
@@ -27,4 +29,5 @@
     <file_definition src="./file_def_nemo-oce.xml"/>     <!--  NEMO ocean dynamics                     -->
     <file_definition src="./file_def_nemo-ice.xml"/>     <!--  NEMO ocean sea ice                      -->
+    <file_definition src="./file_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 <!-- Axis definition -->
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 14053)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 14086)
@@ -158,5 +158,5 @@
 !-----------------------------------------------------------------------
    ln_spc_dyn    = .true.  !  use 0 as special value for dynamics
-   ln_chk_bathy  = .true.  !  =T  check the parent bathymetry
+   ln_chk_bathy  = .false.  !  =T  check the parent bathymetry
 /
 !-----------------------------------------------------------------------
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_top_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_top_cfg	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_top_cfg	(revision 14086)
@@ -0,0 +1,62 @@
+!-----------------------------------------------------------------------
+&namtrc_run      !   run information
+!-----------------------------------------------------------------------
+   ln_top_euler = .true.
+/
+!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------
+   jp_bgc        =  0           !  Number of passive tracers of the BGC model
+!
+   ln_pisces     =  .false.     !  Run PISCES BGC model
+   ln_my_trc     =  .false.     !  Run MY_TRC BGC model
+   ln_age        =  .true.      !  Run the sea water age tracer
+   ln_cfc11      =  .false.     !  Run the CFC11 passive tracer
+   ln_cfc12      =  .false.     !  Run the CFC12 passive tracer
+   ln_sf6        =  .false.     !  Run the SF6 passive tracer
+   ln_c14        =  .false.     !  Run the Radiocarbon passive tracer
+/
+!-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcadv_fct =  .true.  !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcldf_OFF =  .true.     !  use active tracer setting
+/
+!-----------------------------------------------------------------------
+&namtrc_rad      !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp      !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ice      !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bc       !   data for boundary conditions
+!-----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+/
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_top_ref
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_top_ref	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_top_ref	(revision 14086)
@@ -0,0 +1,1 @@
+link ../../SHARED/namelist_top_ref
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml	(revision 14053)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/context_nemo.xml	(revision 14086)
@@ -22,4 +22,6 @@
     <field_definition src="./field_def_nemo-oce.xml"/>   <!--  NEMO ocean dynamics                     -->
     <field_definition src="./field_def_nemo-ice.xml"/>   <!--  NEMO ocean sea ice                      -->
+    <field_definition src="./field_def_nemo-pisces.xml"/>   <!--  NEMO ocean biogeochemical                      -->
+    <field_definition src="./field_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 
@@ -27,4 +29,5 @@
     <file_definition src="./file_def_nemo-oce.xml"/>     <!--  NEMO ocean dynamics                     -->
     <file_definition src="./file_def_nemo-ice.xml"/>     <!--  NEMO ocean sea ice                      -->
+    <file_definition src="./file_def_nemo-innerttrc.xml"/> <!--  NEMO ocean inert passive tracer           -->
 
 <!-- Axis definition -->
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/field_def_nemo-innerttrc.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/field_def_nemo-innerttrc.xml	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/field_def_nemo-innerttrc.xml	(revision 14086)
@@ -0,0 +1,1 @@
+link ../../SHARED/field_def_nemo-innerttrc.xml
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/field_def_nemo-pisces.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/field_def_nemo-pisces.xml	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/field_def_nemo-pisces.xml	(revision 14086)
@@ -0,0 +1,1 @@
+link ../../SHARED/field_def_nemo-pisces.xml
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/file_def_nemo-innerttrc.xml
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/file_def_nemo-innerttrc.xml	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/file_def_nemo-innerttrc.xml	(revision 14086)
@@ -0,0 +1,46 @@
+<?xml version="1.0"?>
+    <!-- 
+============================================================================================================
+=                                           output files definition                                        =
+=                                            Define your own files                                         =
+=                                         put the variables you want...                                    =
+============================================================================================================
+    -->
+
+   <file_definition type="one_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="10d" min_digits="4">
+    
+      <file_group id="1ts" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
+      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
+      <file_group id="2h" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
+      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
+      <file_group id="4h" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
+      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->
+     
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."> <!-- 1d files -->
+      </file_group>
+
+      <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
+        <file id="file40" name_suffix="_trc" description="passive tracers variables" >
+           <field field_ref="Age"       name="Age"      operation="average" freq_op="5d" > @Age_e3t / @e3t </field>
+         </file>
+      </file_group>
+
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."> <!-- real monthly files -->
+      </file_group>
+      <file_group id="2m" output_freq="2mo" output_level="10" enabled=".TRUE."/> <!-- real 2m files -->
+      <file_group id="3m" output_freq="3mo" output_level="10" enabled=".TRUE."/> <!-- real 3m files -->
+      <file_group id="4m" output_freq="4mo" output_level="10" enabled=".TRUE."/> <!-- real 4m files -->
+      <file_group id="6m" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
+
+      <file_group id="1y"  output_freq="1y" output_level="10" enabled=".TRUE."> <!-- real yearly files -->
+	 <file id="file41" name_suffix="_trc" description="passive tracers variables" >
+           <field field_ref="Age"       name="Age"      operation="average" freq_op="1y" > @Age_e3t / @e3t </field>
+         </file>
+      </file_group>
+      <file_group id="2y"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
+      <file_group id="5y"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
+      <file_group id="10y" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
+
+   </file_definition>
+   
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_top_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_top_cfg	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_top_cfg	(revision 14086)
@@ -0,0 +1,62 @@
+!-----------------------------------------------------------------------
+&namtrc_run      !   run information
+!-----------------------------------------------------------------------
+   ln_top_euler = .true.
+/
+!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------
+   jp_bgc        =  0           !  Number of passive tracers of the BGC model
+!
+   ln_pisces     =  .false.     !  Run PISCES BGC model
+   ln_my_trc     =  .false.     !  Run MY_TRC BGC model
+   ln_age        =  .true.      !  Run the sea water age tracer
+   ln_cfc11      =  .false.     !  Run the CFC11 passive tracer
+   ln_cfc12      =  .false.     !  Run the CFC12 passive tracer
+   ln_sf6        =  .false.     !  Run the SF6 passive tracer
+   ln_c14        =  .false.     !  Run the Radiocarbon passive tracer
+/
+!-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcadv_fct =  .true.  !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcldf_tra   =  .true.     !  use active tracer setting
+/
+!-----------------------------------------------------------------------
+&namtrc_rad      !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp      !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ice      !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bc       !   data for boundary conditions
+!-----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+/
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_top_ref
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_top_ref	(revision 14086)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_top_ref	(revision 14086)
@@ -0,0 +1,1 @@
+link ../../SHARED/namelist_top_ref
Index: NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 14053)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 14086)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_iomput key_mpp_mpi key_agrif
+bld::tool::fppkeys   key_si3 key_top key_iomput key_mpp_mpi key_agrif