Index: NEMO/trunk/src/ICE/icedyn_adv_pra.F90
===================================================================
--- NEMO/trunk/src/ICE/icedyn_adv_pra.F90	(revision 14072)
+++ NEMO/trunk/src/ICE/icedyn_adv_pra.F90	(revision 14103)
@@ -1079,46 +1079,46 @@
          !
          !                                                           ! ice thickness
-         CALL iom_rstput( iter, nitrst, numriw, 'sxice' , sxice)
-         CALL iom_rstput( iter, nitrst, numriw, 'syice' , syice)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxice', sxxice)
-         CALL iom_rstput( iter, nitrst, numriw, 'syyice', syyice)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxyice', sxyice)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxice' , sxice  )
+         CALL iom_rstput( iter, nitrst, numriw, 'syice' , syice  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxice', sxxice )
+         CALL iom_rstput( iter, nitrst, numriw, 'syyice', syyice )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxyice', sxyice )
          !                                                           ! snow thickness
-         CALL iom_rstput( iter, nitrst, numriw, 'sxsn'  , sxsn )
-         CALL iom_rstput( iter, nitrst, numriw, 'sysn'  , sysn )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxsn' , sxxsn )
-         CALL iom_rstput( iter, nitrst, numriw, 'syysn' , syysn )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxysn' , sxysn )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxsn'  , sxsn   )
+         CALL iom_rstput( iter, nitrst, numriw, 'sysn'  , sysn   )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxsn' , sxxsn  )
+         CALL iom_rstput( iter, nitrst, numriw, 'syysn' , syysn  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxysn' , sxysn  )
          !                                                           ! ice concentration
-         CALL iom_rstput( iter, nitrst, numriw, 'sxa'   , sxa  )
-         CALL iom_rstput( iter, nitrst, numriw, 'sya'   , sya  )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxa'  , sxxa  )
-         CALL iom_rstput( iter, nitrst, numriw, 'syya'  , syya  )
-         CALL iom_rstput( iter, nitrst, numriw, 'sxya'  , sxya  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxa'   , sxa    )
+         CALL iom_rstput( iter, nitrst, numriw, 'sya'   , sya    )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxa'  , sxxa   )
+         CALL iom_rstput( iter, nitrst, numriw, 'syya'  , syya   )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxya'  , sxya   )
          !                                                           ! ice salinity
-         CALL iom_rstput( iter, nitrst, numriw, 'sxsal' , sxsal)
-         CALL iom_rstput( iter, nitrst, numriw, 'sysal' , sysal)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxsal', sxxsal)
-         CALL iom_rstput( iter, nitrst, numriw, 'syysal', syysal)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxysal', sxysal)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxsal' , sxsal  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sysal' , sysal  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxsal', sxxsal )
+         CALL iom_rstput( iter, nitrst, numriw, 'syysal', syysal )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxysal', sxysal )
          !                                                           ! ice age
-         CALL iom_rstput( iter, nitrst, numriw, 'sxage' , sxage)
-         CALL iom_rstput( iter, nitrst, numriw, 'syage' , syage)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxxage', sxxage)
-         CALL iom_rstput( iter, nitrst, numriw, 'syyage', syyage)
-         CALL iom_rstput( iter, nitrst, numriw, 'sxyage', sxyage)
+         CALL iom_rstput( iter, nitrst, numriw, 'sxage' , sxage  )
+         CALL iom_rstput( iter, nitrst, numriw, 'syage' , syage  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxxage', sxxage )
+         CALL iom_rstput( iter, nitrst, numriw, 'syyage', syyage )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxyage', sxyage )
          !                                                           ! snow layers heat content
          DO jk = 1, nlay_s
             WRITE(zchar1,'(I2.2)') jk
             znam = 'sxc0'//'_l'//zchar1  ;   z3d(:,:,:) = sxc0 (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'syc0'//'_l'//zchar1  ;   z3d(:,:,:) = syc0 (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'sxxc0'//'_l'//zchar1 ;   z3d(:,:,:) = sxxc0(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'syyc0'//'_l'//zchar1 ;   z3d(:,:,:) = syyc0(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'sxyc0'//'_l'//zchar1 ;   z3d(:,:,:) = sxyc0(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
          END DO
          !                                                           ! ice layers heat content
@@ -1126,13 +1126,13 @@
             WRITE(zchar1,'(I2.2)') jk
             znam = 'sxe'//'_l'//zchar1   ;   z3d(:,:,:) = sxe (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'sye'//'_l'//zchar1   ;   z3d(:,:,:) = sye (:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'sxxe'//'_l'//zchar1  ;   z3d(:,:,:) = sxxe(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'syye'//'_l'//zchar1  ;   z3d(:,:,:) = syye(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
             znam = 'sxye'//'_l'//zchar1  ;   z3d(:,:,:) = sxye(:,:,jk,:)
-            CALL iom_rstput( iter, nitrst, numriw, znam , z3d)
+            CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
          END DO
          !