Index: NEMO/trunk/src/OCE/SBC/sbccpl.F90
===================================================================
--- NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14100)
+++ NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14227)
@@ -157,5 +157,5 @@
    INTEGER, PARAMETER ::   jps_rnf    = 24   ! runoffs
    INTEGER, PARAMETER ::   jps_taum   = 25   ! wind stress module
-   INTEGER, PARAMETER ::   jps_fice2  = 26   ! ice fraction sent to OPA (by SAS when doing SAS-OPA coupling)
+   INTEGER, PARAMETER ::   jps_fice2  = 26   ! ice fraction sent to OCE (by SAS when doing SAS-OCE coupling)
    INTEGER, PARAMETER ::   jps_e3t1st = 27   ! first level depth (vvl)
    INTEGER, PARAMETER ::   jps_fraqsr = 28   ! fraction of solar net radiation absorbed in the first ocean level
@@ -706,10 +706,10 @@
       !
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - rcv by opa !
+      !                                                      !   OCE-SAS coupling - rcv by opa !
       !                                                      ! ------------------------------- !
       srcv(jpr_sflx)%clname = 'O_SFLX'
       srcv(jpr_fice)%clname = 'RIceFrc'
       !
-      IF( nn_components == jp_iam_opa ) THEN    ! OPA coupled to SAS via OASIS: force received field by OPA (sent by SAS)
+      IF( nn_components == jp_iam_oce ) THEN    ! OCE coupled to SAS via OASIS: force received field by OCE (sent by SAS)
          srcv(:)%laction = .FALSE.   ! force default definition in case of opa <-> sas coupling
          srcv(:)%clgrid  = 'T'       ! force default definition in case of opa <-> sas coupling
@@ -727,6 +727,6 @@
          IF(lwp) THEN                        ! control print
             WRITE(numout,*)
-            WRITE(numout,*)'               Special conditions for SAS-OPA coupling  '
-            WRITE(numout,*)'               OPA component  '
+            WRITE(numout,*)'               Special conditions for SAS-OCE coupling  '
+            WRITE(numout,*)'               OCE component  '
             WRITE(numout,*)
             WRITE(numout,*)'  received fields from SAS component '
@@ -742,5 +742,5 @@
       ENDIF
       !                                                      ! -------------------------------- !
-      !                                                      !   OPA-SAS coupling - rcv by sas  !
+      !                                                      !   OCE-SAS coupling - rcv by sas  !
       !                                                      ! -------------------------------- !
       srcv(jpr_toce  )%clname = 'I_SSTSST'
@@ -762,7 +762,7 @@
          ! Vectors: change of sign at north fold ONLY if on the local grid
          srcv(jpr_ocx1:jpr_ocy1)%nsgn = -1.
-         ! Change first letter to couple with atmosphere if already coupled OPA
+         ! Change first letter to couple with atmosphere if already coupled OCE
          ! this is nedeed as each variable name used in the namcouple must be unique:
-         ! for example O_Runoff received by OPA from SAS and therefore S_Runoff received by SAS from the Atmosphere
+         ! for example O_Runoff received by OCE from SAS and therefore S_Runoff received by SAS from the Atmosphere
          DO jn = 1, jprcv
             IF( srcv(jn)%clname(1:1) == "O" ) srcv(jn)%clname = "S"//srcv(jn)%clname(2:LEN(srcv(jn)%clname))
@@ -771,11 +771,11 @@
          IF(lwp) THEN                        ! control print
             WRITE(numout,*)
-            WRITE(numout,*)'               Special conditions for SAS-OPA coupling  '
+            WRITE(numout,*)'               Special conditions for SAS-OCE coupling  '
             WRITE(numout,*)'               SAS component  '
             WRITE(numout,*)
             IF( .NOT. ln_cpl ) THEN
-               WRITE(numout,*)'  received fields from OPA component '
+               WRITE(numout,*)'  received fields from OCE component '
             ELSE
-               WRITE(numout,*)'  Additional received fields from OPA component : '
+               WRITE(numout,*)'  Additional received fields from OCE component : '
             ENDIF
             WRITE(numout,*)'               sea surface temperature (Celsius) '
@@ -1028,5 +1028,5 @@
 
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - snd by opa !
+      !                                                      !   OCE-SAS coupling - snd by opa !
       !                                                      ! ------------------------------- !
       ssnd(jps_ssh   )%clname = 'O_SSHght'
@@ -1035,5 +1035,5 @@
       ssnd(jps_fraqsr)%clname = 'O_FraQsr'
       !
-      IF( nn_components == jp_iam_opa ) THEN
+      IF( nn_components == jp_iam_oce ) THEN
          ssnd(:)%laction = .FALSE.   ! force default definition in case of opa <-> sas coupling
          ssnd( (/jps_toce, jps_soce, jps_ssh, jps_fraqsr, jps_ocx1, jps_ocy1/) )%laction = .TRUE.
@@ -1059,5 +1059,5 @@
       ENDIF
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - snd by sas !
+      !                                                      !   OCE-SAS coupling - snd by sas !
       !                                                      ! ------------------------------- !
       ssnd(jps_sflx  )%clname = 'I_SFLX'
@@ -1077,5 +1077,5 @@
          ! Change first letter to couple with atmosphere if already coupled with sea_ice
          ! this is nedeed as each variable name used in the namcouple must be unique:
-         ! for example O_SSTSST sent by OPA to SAS and therefore S_SSTSST sent by SAS to the Atmosphere
+         ! for example O_SSTSST sent by OCE to SAS and therefore S_SSTSST sent by SAS to the Atmosphere
          DO jn = 1, jpsnd
             IF( ssnd(jn)%clname(1:1) == "O" ) ssnd(jn)%clname = "S"//ssnd(jn)%clname(2:LEN(ssnd(jn)%clname))
@@ -1085,7 +1085,7 @@
             WRITE(numout,*)
             IF( .NOT. ln_cpl ) THEN
-               WRITE(numout,*)'  sent fields to OPA component '
+               WRITE(numout,*)'  sent fields to OCE component '
             ELSE
-               WRITE(numout,*)'  Additional sent fields to OPA component : '
+               WRITE(numout,*)'  Additional sent fields to OCE component : '
             ENDIF
             WRITE(numout,*)'                  ice cover '
@@ -1525,5 +1525,5 @@
          ENDIF
          ! update qns over the free ocean with:
-         IF( nn_components /= jp_iam_opa ) THEN
+         IF( nn_components /= jp_iam_oce ) THEN
             zqns(:,:) =  zqns(:,:) - zemp(:,:) * sst_m(:,:) * rcp         ! remove heat content due to mass flux (assumed to be at SST)
             IF( srcv(jpr_snow  )%laction ) THEN
@@ -2275,5 +2275,5 @@
       IF( ssnd(jps_toce)%laction .OR. ssnd(jps_tice)%laction .OR. ssnd(jps_tmix)%laction ) THEN
 
-         IF( nn_components == jp_iam_opa ) THEN
+         IF( nn_components == jp_iam_oce ) THEN
             ztmp1(:,:) = ts(:,:,1,jp_tem,Kmm)   ! send temperature as it is (potential or conservative) -> use of l_useCT on the received part
          ELSE
@@ -2427,5 +2427,5 @@
       ENDIF
 
-      ! Send ice fraction field to OPA (sent by SAS in SAS-OPA coupling)
+      ! Send ice fraction field to OCE (sent by SAS in SAS-OCE coupling)
       IF( ssnd(jps_fice2)%laction ) THEN
          ztmp3(:,:,1) = fr_i(:,:)
@@ -2543,5 +2543,5 @@
          !                                                              i-1  i   i
          !                                                               i      i+1 (for I)
-         IF( nn_components == jp_iam_opa ) THEN
+         IF( nn_components == jp_iam_oce ) THEN
             zotx1(:,:) = uu(:,:,1,Kmm)
             zoty1(:,:) = vv(:,:,1,Kmm)
@@ -2700,5 +2700,5 @@
       ENDIF
       !
-      !  Fields sent by OPA to SAS when doing OPA<->SAS coupling
+      !  Fields sent by OCE to SAS when doing OCE<->SAS coupling
       !                                                        ! SSH
       IF( ssnd(jps_ssh )%laction )  THEN
@@ -2724,5 +2724,5 @@
       ENDIF
       !
-      !  Fields sent by SAS to OPA when OASIS coupling
+      !  Fields sent by SAS to OCE when OASIS coupling
       !                                                        ! Solar heat flux
       IF( ssnd(jps_qsroce)%laction )  CALL cpl_snd( jps_qsroce, isec, RESHAPE ( qsr , (/jpi,jpj,1/) ), info )