Index: NEMO/trunk/tests/C1D_ASICS/cpp_C1D_ASICS.fcm
===================================================================
--- NEMO/trunk/tests/C1D_ASICS/cpp_C1D_ASICS.fcm	(revision 14232)
+++ NEMO/trunk/tests/C1D_ASICS/cpp_C1D_ASICS.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_qco key_iomput
+ bld::tool::fppkeys   key_c1d key_qco key_xios
Index: NEMO/trunk/tests/CANAL/cpp_CANAL.fcm
===================================================================
--- NEMO/trunk/tests/CANAL/cpp_CANAL.fcm	(revision 14232)
+++ NEMO/trunk/tests/CANAL/cpp_CANAL.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_qco 
+ bld::tool::fppkeys key_xios key_qco 
Index: NEMO/trunk/tests/CPL_OASIS/cpp_CPL_OASIS.fcm
===================================================================
--- NEMO/trunk/tests/CPL_OASIS/cpp_CPL_OASIS.fcm	(revision 14232)
+++ NEMO/trunk/tests/CPL_OASIS/cpp_CPL_OASIS.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_top key_iomput key_oasis3 key_qco
+bld::tool::fppkeys   key_si3 key_top key_xios key_oasis3 key_qco
Index: NEMO/trunk/tests/DOME/cpp_DOME.fcm
===================================================================
--- NEMO/trunk/tests/DOME/cpp_DOME.fcm	(revision 14232)
+++ NEMO/trunk/tests/DOME/cpp_DOME.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_agrif key_linssh
+ bld::tool::fppkeys key_xios key_agrif key_linssh
Index: NEMO/trunk/tests/DONUT/cpp_DONUT.fcm
===================================================================
--- NEMO/trunk/tests/DONUT/cpp_DONUT.fcm	(revision 14232)
+++ NEMO/trunk/tests/DONUT/cpp_DONUT.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_si3 key_qco key_iomput
+ bld::tool::fppkeys key_si3 key_qco key_xios
Index: NEMO/trunk/tests/ICB/MY_SRC/step.F90
===================================================================
--- NEMO/trunk/tests/ICB/MY_SRC/step.F90	(revision 14232)
+++ NEMO/trunk/tests/ICB/MY_SRC/step.F90	(revision 14239)
@@ -98,5 +98,5 @@
       ENDIF
       IF( kstp == nit000 + 1 )   lk_agrif_fstep = .FALSE.
-# if defined key_iomput
+# if defined key_xios
       IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( cxios_context )
 # endif
@@ -150,5 +150,5 @@
       ENDIF
       !
-#if defined key_iomput
+#if defined key_xios
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! Finalize contextes if end of simulation or error detected
Index: NEMO/trunk/tests/ICB/cpp_ICB.fcm
===================================================================
--- NEMO/trunk/tests/ICB/cpp_ICB.fcm	(revision 14232)
+++ NEMO/trunk/tests/ICB/cpp_ICB.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput key_qco 
+ bld::tool::fppkeys   key_xios key_qco 
Index: NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm
===================================================================
--- NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm	(revision 14232)
+++ NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_iomput key_linssh
+bld::tool::fppkeys key_si3 key_xios key_linssh
Index: NEMO/trunk/tests/ICE_ADV2D/cpp_ICE_ADV2D.fcm
===================================================================
--- NEMO/trunk/tests/ICE_ADV2D/cpp_ICE_ADV2D.fcm	(revision 14232)
+++ NEMO/trunk/tests/ICE_ADV2D/cpp_ICE_ADV2D.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_linssh key_iomput
+bld::tool::fppkeys key_si3 key_linssh key_xios
Index: NEMO/trunk/tests/ICE_AGRIF/cpp_ICE_AGRIF.fcm
===================================================================
--- NEMO/trunk/tests/ICE_AGRIF/cpp_ICE_AGRIF.fcm	(revision 14232)
+++ NEMO/trunk/tests/ICE_AGRIF/cpp_ICE_AGRIF.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_agrif key_si3 key_linssh key_iomput
+bld::tool::fppkeys key_agrif key_si3 key_linssh key_xios
Index: NEMO/trunk/tests/ICE_RHEO/cpp_ICE_RHEO.fcm
===================================================================
--- NEMO/trunk/tests/ICE_RHEO/cpp_ICE_RHEO.fcm	(revision 14232)
+++ NEMO/trunk/tests/ICE_RHEO/cpp_ICE_RHEO.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_linssh key_iomput
+bld::tool::fppkeys key_si3 key_linssh key_xios
Index: NEMO/trunk/tests/ISOMIP+/cpp_ISOMIP+.fcm
===================================================================
--- NEMO/trunk/tests/ISOMIP+/cpp_ISOMIP+.fcm	(revision 14232)
+++ NEMO/trunk/tests/ISOMIP+/cpp_ISOMIP+.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput 
+ bld::tool::fppkeys   key_xios 
Index: NEMO/trunk/tests/ISOMIP/cpp_ISOMIP.fcm
===================================================================
--- NEMO/trunk/tests/ISOMIP/cpp_ISOMIP.fcm	(revision 14232)
+++ NEMO/trunk/tests/ISOMIP/cpp_ISOMIP.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput 
+ bld::tool::fppkeys   key_xios 
Index: NEMO/trunk/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm
===================================================================
--- NEMO/trunk/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 14232)
+++ NEMO/trunk/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_qco key_iomput 
+ bld::tool::fppkeys   key_qco key_xios 
Index: NEMO/trunk/tests/OVERFLOW/cpp_OVERFLOW.fcm
===================================================================
--- NEMO/trunk/tests/OVERFLOW/cpp_OVERFLOW.fcm	(revision 14232)
+++ NEMO/trunk/tests/OVERFLOW/cpp_OVERFLOW.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_qco key_iomput 
+bld::tool::fppkeys   key_qco key_xios 
Index: NEMO/trunk/tests/STATION_ASF/MY_SRC/diawri.F90
===================================================================
--- NEMO/trunk/tests/STATION_ASF/MY_SRC/diawri.F90	(revision 14232)
+++ NEMO/trunk/tests/STATION_ASF/MY_SRC/diawri.F90	(revision 14239)
@@ -63,7 +63,7 @@
 CONTAINS
 
-#if defined key_iomput
-   !!----------------------------------------------------------------------
-   !!   'key_iomput'                                        use IOM library
+#if defined key_xios
+   !!----------------------------------------------------------------------
+   !!   'key_xios'                                        use IOM library
    !!----------------------------------------------------------------------
    INTEGER FUNCTION dia_wri_alloc()
Index: NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90
===================================================================
--- NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14232)
+++ NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14239)
@@ -34,5 +34,5 @@
    USE mppini         ! shared/distributed memory setting (mpp_init routine)
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)
-#if defined key_iomput
+#if defined key_xios
    USE xios           ! xIOserver
 #endif
@@ -113,5 +113,5 @@
       CALL nemo_closefile
       !
-#if defined key_iomput
+#if defined key_xios
       CALL xios_finalize  ! end mpp communications with xios
 #else
@@ -148,5 +148,5 @@
       !                             !-------------------------------------------------!
       !
-#if defined key_iomput
+#if defined key_xios
       IF( Agrif_Root() ) THEN
          CALL xios_initialize( "for_xios_mpi_id", return_comm=ilocal_comm )   ! nemo local communicator given by xios
Index: NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90
===================================================================
--- NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 14232)
+++ NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 14239)
@@ -79,5 +79,5 @@
       IF( lrst_oce       )   CALL rst_write( kstp, Nbb, Nnn )  ! write output ocean restart file
       !
-#if defined key_iomput
+#if defined key_xios
       IF( kstp == nitend .OR. nstop > 0 )   CALL xios_context_finalize()   ! needed for XIOS
       !
Index: NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm
===================================================================
--- NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14232)
+++ NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_si3 key_c1d key_qco key_iomput
+ bld::tool::fppkeys   key_si3 key_c1d key_qco key_xios
Index: NEMO/trunk/tests/SWG/cpp_SWG.fcm
===================================================================
--- NEMO/trunk/tests/SWG/cpp_SWG.fcm	(revision 14232)
+++ NEMO/trunk/tests/SWG/cpp_SWG.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_iomput key_qco key_RK3
+bld::tool::fppkeys key_xios key_qco key_RK3
Index: NEMO/trunk/tests/TSUNAMI/MY_SRC/stpmlf.F90
===================================================================
--- NEMO/trunk/tests/TSUNAMI/MY_SRC/stpmlf.F90	(revision 14232)
+++ NEMO/trunk/tests/TSUNAMI/MY_SRC/stpmlf.F90	(revision 14239)
@@ -98,5 +98,5 @@
       ENDIF
       IF( kstp == nit000 + 1 )   lk_agrif_fstep = .FALSE.
-# if defined key_iomput
+# if defined key_xios
       IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( cxios_context )
 # endif
@@ -181,5 +181,5 @@
       ENDIF
 
-#if defined key_iomput
+#if defined key_xios
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! Finalize contextes if end of simulation or error detected
Index: NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm
===================================================================
--- NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm	(revision 14232)
+++ NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_qco key_iomput
+ bld::tool::fppkeys key_qco key_xios
Index: NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm
===================================================================
--- NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 14232)
+++ NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_agrif key_qco 
+ bld::tool::fppkeys key_xios key_agrif key_qco 
Index: NEMO/trunk/tests/WAD/cpp_WAD.fcm
===================================================================
--- NEMO/trunk/tests/WAD/cpp_WAD.fcm	(revision 14232)
+++ NEMO/trunk/tests/WAD/cpp_WAD.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput key_qco 
+ bld::tool::fppkeys   key_xios key_qco 