Index: utils/tools/DOMAINcfg/src/iom.F90
===================================================================
--- utils/tools/DOMAINcfg/src/iom.F90	(revision 14242)
+++ utils/tools/DOMAINcfg/src/iom.F90	(revision 14243)
@@ -26,5 +26,5 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp           ! MPP library
-#if defined key_iomput
+#if defined key_xios
    USE sbc_oce  , ONLY :   nn_fsbc         ! ocean space and time domain
    USE trc_oce  , ONLY :   nn_dttrc        !  !: frequency of step on passive tracers
@@ -46,5 +46,5 @@
    PUBLIC   !   must be public to be able to access iom_def through iom
    
-#if defined key_iomput
+#if defined key_xios
    LOGICAL, PUBLIC, PARAMETER ::   lk_iomput = .TRUE.        !: iom_put flag
 #else
@@ -58,5 +58,5 @@
    PRIVATE iom_g0d, iom_g1d, iom_g2d, iom_g3d, iom_get_123d
    PRIVATE iom_p1d, iom_p2d, iom_p3d
-#if defined key_iomput
+#if defined key_xios
    PRIVATE iom_set_domain_attr, iom_set_axis_attr, iom_set_field_attr, iom_set_file_attr, iom_get_file_attr, iom_set_grid_attr
    PRIVATE set_grid, set_grid_bounds, set_scalar, set_xmlatt, set_mooring, iom_update_file_name, iom_sdate
@@ -98,5 +98,5 @@
       CHARACTER(len=*), OPTIONAL, INTENT(in)  :: fname
       LOGICAL         , OPTIONAL, INTENT(in)  :: ld_tmppatch
-#if defined key_iomput
+#if defined key_xios
       !
       TYPE(xios_duration) :: dtime    = xios_duration(0, 0, 0, 0, 0, 0)
@@ -268,5 +268,5 @@
    CHARACTER(LEN=256) :: clinfo    ! info character
 
-#if defined key_iomput
+#if defined key_xios
    llis_set = .FALSE.
 
@@ -284,5 +284,5 @@
    ENDIF
 #else
-        clinfo = 'iom_set_rstw_var_active: key_iomput is needed to use XIOS restart read/write functionality'
+        clinfo = 'iom_set_rstw_var_active: key_xios is needed to use XIOS restart read/write functionality'
         CALL ctl_stop('STOP', TRIM(clinfo))
 #endif
@@ -301,5 +301,5 @@
    CHARACTER(len=256) :: rst_file
 
-#if defined key_iomput
+#if defined key_xios
    TYPE(xios_field) :: field_hdl
    TYPE(xios_file) :: file_hdl
@@ -476,5 +476,5 @@
 !sets enabled = .TRUE. for each field in restart file
    CHARACTER(len=*) :: cdrst_file
-#if defined key_iomput
+#if defined key_xios
    TYPE(xios_field) :: field_hdl
    TYPE(xios_file) :: file_hdl
@@ -531,5 +531,5 @@
 !ld_rstr is true for restart context. There is no need to define grid for 
 !restart read, because it's read from file
-#if defined key_iomput
+#if defined key_xios
    TYPE(xios_domaingroup)            :: domaingroup_hdl 
    TYPE(xios_domain)                 :: domain_hdl 
@@ -562,5 +562,5 @@
       !!---------------------------------------------------------------------
       CHARACTER(len=*), INTENT(in) :: cdname
-#if defined key_iomput
+#if defined key_xios
       TYPE(xios_context) :: nemo_hdl
 
@@ -913,5 +913,5 @@
          ENDIF
       ELSE
-#if defined key_iomput
+#if defined key_xios
          IF(lwp) WRITE(numout,*) 'XIOS RST READ (0D): ', trim(cdvar)
          CALL iom_swap( TRIM(crxios_context) )
@@ -1267,5 +1267,5 @@
          !
       ELSE        ! read using XIOS. Only if KEY_IOMPUT is defined
-#if defined key_iomput
+#if defined key_xios
 !would be good to be able to check which context is active and swap only if current is not restart
          CALL iom_swap( TRIM(crxios_context) ) 
@@ -1484,5 +1484,5 @@
       IF(PRESENT(ldxios)) llx = ldxios
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
       IF( kt == kwrite ) THEN
           IF(lwp) write(numout,*) 'RESTART: write (XIOS 0D) ',trim(cdvar)
@@ -1514,5 +1514,5 @@
       IF(PRESENT(ldxios)) llx = ldxios
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
       IF( kt == kwrite ) THEN
          IF(lwp) write(numout,*) 'RESTART: write (XIOS 1D) ',trim(cdvar)
@@ -1544,5 +1544,5 @@
       IF(PRESENT(ldxios)) llx = ldxios
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
       IF( kt == kwrite ) THEN
          IF(lwp) write(numout,*) 'RESTART: write (XIOS 2D) ',trim(cdvar)
@@ -1574,5 +1574,5 @@
       IF(PRESENT(ldxios)) llx = ldxios
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
       IF( kt == kwrite ) THEN
          IF(lwp) write(numout,*) 'RESTART: write (XIOS 3D) ',trim(cdvar)
@@ -1644,5 +1644,5 @@
       REAL(wp)        , INTENT(in) ::   pfield0d
       REAL(wp)        , DIMENSION(jpi,jpj) ::   zz     ! masson
-#if defined key_iomput
+#if defined key_xios
       zz(:,:)=pfield0d
       CALL xios_send_field(cdname, zz)
@@ -1656,5 +1656,5 @@
       CHARACTER(LEN=*)          , INTENT(in) ::   cdname
       REAL(wp),     DIMENSION(:), INTENT(in) ::   pfield1d
-#if defined key_iomput
+#if defined key_xios
       CALL xios_send_field( cdname, RESHAPE( (/pfield1d/), (/1,1,SIZE(pfield1d)/) ) )
 #else
@@ -1666,5 +1666,5 @@
       CHARACTER(LEN=*)            , INTENT(in) ::   cdname
       REAL(wp),     DIMENSION(:,:), INTENT(in) ::   pfield2d
-#if defined key_iomput
+#if defined key_xios
       CALL xios_send_field(cdname, pfield2d)
 #else
@@ -1676,5 +1676,5 @@
       CHARACTER(LEN=*)                , INTENT(in) ::   cdname
       REAL(wp),       DIMENSION(:,:,:), INTENT(in) ::   pfield3d
-#if defined key_iomput
+#if defined key_xios
       CALL xios_send_field( cdname, pfield3d )
 #else
@@ -1683,7 +1683,7 @@
    END SUBROUTINE iom_p3d
 
-#if defined key_iomput
+#if defined key_xios
    !!----------------------------------------------------------------------
-   !!   'key_iomput'                                         XIOS interface
+   !!   'key_xios'                                         XIOS interface
    !!----------------------------------------------------------------------
 
@@ -2361,5 +2361,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   NOT 'key_iomput'                               a few dummy routines
+   !!   NOT 'key_xios'                               a few dummy routines
    !!----------------------------------------------------------------------
 
@@ -2382,5 +2382,5 @@
       CHARACTER(LEN=*), INTENT(in) ::   cdname
       !!----------------------------------------------------------------------
-#if defined key_iomput
+#if defined key_xios
       iom_use = xios_field_is_active( cdname )
 #else